%global srcname safe-buffer

Name:               nodejs-%{srcname}
Version:            5.0.1
Release:            1%{?dist}
Summary:            Node.js module for a safer buffer API
License:            MIT
URL:                https://github.com/feross/safe-buffer
Source0:            https://github.com/feross/safe-buffer/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:          noarch
ExclusiveArch:      %{nodejs_arches} noarch

BuildRequires:      nodejs-packaging
BuildRequires:      npm(tape)

%description
%{summary}.

%prep
%autosetup -n %{srcname}-%{version}

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json index.js browser.js \
    %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
tape test.js

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{srcname}

%changelog
* Sun Feb 19 2017 Piotr Popieluch <piotr1212@gmail.com> - 5.0.1-1
- Initial package
